<?xml version='1.0' encoding='utf-8' ?>
<definitions name='vkc.ws.axis.service.DocumentService' targetNamespace='http://c-lab.de/wsdl/vkc/ws/axis/service/' 
    xmlns:tns='http://c-lab.de/wsdl/vkc/ws/axis/service/' 
    xmlns:soap12='http://schemas.xmlsoap.org/wsdl/soap12/' 
    xmlns:ns0='http://systinet.com/wsdl/org/apache/axis/' 
    xmlns:xsd='http://www.w3.org/2001/XMLSchema' 
    xmlns:map='http://systinet.com/mapping/' 
    xmlns:soap='http://schemas.xmlsoap.org/wsdl/soap/' 
    xmlns='http://schemas.xmlsoap.org/wsdl/'>
    <types>
        <xsd:schema targetNamespace="http://systinet.com/wsdl/org/apache/axis/"
            elementFormDefault="unqualified"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            xmlns:tns="http://systinet.com/wsdl/org/apache/axis/"
            xmlns:map="http://systinet.com/mapping/"
            xmlns:xns5="http://systinet.com/wsdl/org/w3c/dom/"
            xmlns:xns6="http://systinet.com/wsdl/javax/xml/namespace/"
            xmlns:xns7="http://systinet.com/containers/encoded/ms.net">
            <xsd:import
            namespace="http://systinet.com/containers/encoded/ms.net"/>
            <xsd:import
            namespace="http://systinet.com/wsdl/javax/xml/namespace/"/>
            <xsd:import namespace="http://systinet.com/wsdl/org/w3c/dom/"/>
            <xsd:complexType name="AxisFault">
                <xsd:annotation>
                    <xsd:appinfo>
                        <map:java-type name="org.apache.axis.AxisFault"/>
                    </xsd:appinfo>
                </xsd:annotation>
                <xsd:complexContent>
                    <xsd:extension base="xsd:anyType">
                        <xsd:sequence>
                            <xsd:element name="faultActor" type="xsd:string"
                                nillable="true"/>
                            <xsd:element name="faultCode" type="xsd:QName"
                                nillable="true"/>
                            <xsd:element name="faultCodeAsString"
                                type="xsd:string" nillable="true"/>
                            <xsd:element name="faultDetail"
                                type="xns5:ArrayOfElement" nillable="true"/>
                            <xsd:element name="faultDetailString"
                                type="xsd:string" nillable="true"/>
                            <xsd:element name="faultDetails"
                                type="xns5:ArrayOfElement" nillable="true"/>
                            <xsd:element name="faultNode" type="xsd:string"
                                nillable="true"/>
                            <xsd:element name="faultReason" type="xsd:string"
                                nillable="true"/>
                            <xsd:element name="faultRole" type="xsd:string"
                                nillable="true"/>
                            <xsd:element name="faultString" type="xsd:string"
                                nillable="true"/>
                            <xsd:element name="faultSubCodes"
                                type="xns6:ArrayOfQName" nillable="true"/>
                            <xsd:element name="headers" type="xns7:ArrayList"
                                nillable="true"/>
                        </xsd:sequence>
                    </xsd:extension>
                </xsd:complexContent>
            </xsd:complexType>
        </xsd:schema>

        <xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
            xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/"
            xmlns:tns="http://systinet.com/containers/encoded/ms.net"
            targetNamespace="http://systinet.com/containers/encoded/ms.net"
            elementFormDefault="unqualified">
            <xsd:complexType name="List">
                <xsd:sequence>
                    <xsd:element name="Items" type="tns:ArrayOfAnyType"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:complexType name="ArrayList">
                <xsd:complexContent mixed="false">
                    <xsd:extension base="tns:List"/>
                </xsd:complexContent>
            </xsd:complexType>
            <xsd:complexType name="LinkedList">
                <xsd:complexContent mixed="false">
                    <xsd:extension base="tns:List"/>
                </xsd:complexContent>
            </xsd:complexType>
            <xsd:complexType name="Vector">
                <xsd:complexContent mixed="false">
                    <xsd:extension base="tns:List"/>
                </xsd:complexContent>
            </xsd:complexType>
            <xsd:complexType name="Set">
                <xsd:sequence>
                    <xsd:element name="Items" type="tns:ArrayOfAnyType"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:complexType name="HashSet">
                <xsd:complexContent mixed="false">
                    <xsd:extension base="tns:Set"/>
                </xsd:complexContent>
            </xsd:complexType>
            <xsd:complexType name="SortedSet">
                <xsd:complexContent mixed="false">
                    <xsd:extension base="tns:Set"/>
                </xsd:complexContent>
            </xsd:complexType>
            <xsd:complexType name="TreeSet">
                <xsd:complexContent mixed="false">
                    <xsd:extension base="tns:SortedSet"/>
                </xsd:complexContent>
            </xsd:complexType>
            <xsd:complexType name="Map">
                <xsd:sequence>
                    <xsd:element name="Keys" type="tns:ArrayOfAnyType"/>
                    <xsd:element name="Values" type="tns:ArrayOfAnyType"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:complexType name="Hashtable">
                <xsd:complexContent mixed="false">
                    <xsd:extension base="tns:Map"/>
                </xsd:complexContent>
            </xsd:complexType>
            <xsd:complexType name="Properties">
                <xsd:complexContent mixed="false">
                    <xsd:extension base="tns:Hashtable"/>
                </xsd:complexContent>
            </xsd:complexType>
            <xsd:complexType name="HashMap">
                <xsd:complexContent mixed="false">
                    <xsd:extension base="tns:Map"/>
                </xsd:complexContent>
            </xsd:complexType>
            <xsd:complexType name="SortedMap">
                <xsd:complexContent mixed="false">
                    <xsd:extension base="tns:Map"/>
                </xsd:complexContent>
            </xsd:complexType>
            <xsd:complexType name="TreeMap">
                <xsd:complexContent mixed="false">
                    <xsd:extension base="tns:SortedMap"/>
                </xsd:complexContent>
            </xsd:complexType>
            <xsd:complexType name="Iterator">
                <xsd:sequence>
                    <xsd:element name="Data" type="tns:EnumIterContent"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:complexType name="Enumeration">
                <xsd:sequence>
                    <xsd:element name="Data" type="tns:EnumIterContent"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:complexType name="ArrayOfAnyType">
                <xsd:complexContent mixed="false">
                    <xsd:restriction base="SOAP-ENC:Array">
                        <xsd:sequence>
                            <xsd:element name="item" type="xsd:anyType"
                                minOccurs="0" maxOccurs="unbounded"/>
                        </xsd:sequence>
                        <xsd:attribute wsdl:arrayType="xsd:anyType[]"
                            ref="SOAP-ENC:arrayType"/>
                    </xsd:restriction>
                </xsd:complexContent>
            </xsd:complexType>
            <xsd:complexType name="EnumIterContent">
                <xsd:complexContent mixed="false">
                    <xsd:restriction base="SOAP-ENC:Array">
                        <xsd:sequence>
                            <xsd:element name="item" type="xsd:anyType"
                                minOccurs="0" maxOccurs="unbounded"/>
                        </xsd:sequence>
                        <xsd:attribute wsdl:arrayType="xsd:anyType[]"
                            ref="SOAP-ENC:arrayType"/>
                    </xsd:restriction>
                </xsd:complexContent>
            </xsd:complexType>
        </xsd:schema>

        <xsd:schema
            targetNamespace="http://systinet.com/wsdl/javax/xml/namespace/"
            elementFormDefault="unqualified"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            xmlns:tns="http://systinet.com/wsdl/javax/xml/namespace/"
            xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
            xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/">
            <xsd:complexType name="ArrayOfQName">
                <xsd:complexContent>
                    <xsd:restriction base="SOAP-ENC:Array">
                        <xsd:sequence>
                            <xsd:element name="item" type="xsd:QName"
                                nillable="true" minOccurs="0"
                                maxOccurs="unbounded"/>
                        </xsd:sequence>
                        <xsd:attribute ref="SOAP-ENC:arrayType"
                            wsdl:arrayType="xsd:QName[]"/>
                    </xsd:restriction>
                </xsd:complexContent>
            </xsd:complexType>
        </xsd:schema>

        <xsd:schema targetNamespace="http://systinet.com/wsdl/org/w3c/dom/"
            elementFormDefault="unqualified"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            xmlns:tns="http://systinet.com/wsdl/org/w3c/dom/"
            xmlns:map="http://systinet.com/mapping/"
            xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
            xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/">
            <xsd:complexType name="Element">
                <xsd:annotation>
                    <xsd:appinfo>
                        <map:java-type name="org.w3c.dom.Element"/>
                    </xsd:appinfo>
                </xsd:annotation>
                <xsd:sequence>
                    <xsd:any/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:complexType name="ArrayOfElement">
                <xsd:complexContent>
                    <xsd:restriction base="SOAP-ENC:Array">
                        <xsd:sequence>
                            <xsd:element name="item" type="tns:Element"
                                nillable="true" minOccurs="0"
                                maxOccurs="unbounded"/>
                        </xsd:sequence>
                        <xsd:attribute ref="SOAP-ENC:arrayType"
                            wsdl:arrayType="tns:Element[]"/>
                    </xsd:restriction>
                </xsd:complexContent>
            </xsd:complexType>
        </xsd:schema>

    </types>
    <message name='AxisFault'>
        <part name='AxisFault' type='ns0:AxisFault'/>
    </message>
    <message name='DocumentService_getDocumentCategoryMeta_Response_Soap'>
        <part name='response' type='xsd:string'/>
    </message>
    <message name='DocumentService_getDocumentCategoryMeta__Request_Soap'>
        <part name='p0' type='xsd:int'/>
    </message>
    <message name='DocumentService_getDocumentMeta_Response_Soap'>
        <part name='response' type='xsd:string'/>
    </message>
    <message name='DocumentService_getDocumentMeta__Request_Soap'>
        <part name='p0' type='xsd:int'/>
    </message>
    <message name='DocumentService_getDocumentVersionInfo_Response_Soap'>
        <part name='response' type='xsd:string'/>
    </message>
    <message name='DocumentService_getDocumentVersionInfo__Request_Soap'>
        <part name='p0' type='xsd:int'/>
    </message>
    <portType name='DocumentService'>
        <operation name='getDocumentCategoryMeta' parameterOrder='p0'>
            <input message='tns:DocumentService_getDocumentCategoryMeta__Request_Soap'/>
            <output message='tns:DocumentService_getDocumentCategoryMeta_Response_Soap'/>
            <fault name='AxisFault' message='tns:AxisFault'/>
        </operation>
        <operation name='getDocumentMeta' parameterOrder='p0'>
            <input message='tns:DocumentService_getDocumentMeta__Request_Soap'/>
            <output message='tns:DocumentService_getDocumentMeta_Response_Soap'/>
            <fault name='AxisFault' message='tns:AxisFault'/>
        </operation>
        <operation name='getDocumentVersionInfo' parameterOrder='p0'>
            <input message='tns:DocumentService_getDocumentVersionInfo__Request_Soap'/>
            <output message='tns:DocumentService_getDocumentVersionInfo_Response_Soap'/>
            <fault name='AxisFault' message='tns:AxisFault'/>
        </operation>
    </portType>
    <binding name='DocumentService' type='tns:DocumentService'>
        <soap:binding transport='http://schemas.xmlsoap.org/soap/http' style='rpc'/>
        <operation name='getDocumentCategoryMeta'>
            <map:java-operation name='getDocumentCategoryMeta' signature='KExqYXZhL2xhbmcvSW50ZWdlcjspTGphdmEvbGFuZy9TdHJpbmc7'>
                <map:fault name='AxisFault' java-type='org.apache.axis.AxisFault'/>
            </map:java-operation>
            <soap:operation style='rpc'/>
            <input>
                <soap:body parts='p0' use='encoded' encodingStyle='http://schemas.xmlsoap.org/soap/encoding/' namespace='http://c-lab.de/wsdl/vkc/ws/axis/service/DocumentService#getDocumentCategoryMeta?KExqYXZhL2xhbmcvSW50ZWdlcjspTGphdmEvbGFuZy9TdHJpbmc7'/>
            </input>
            <output>
                <soap:body parts='response' use='encoded' encodingStyle='http://schemas.xmlsoap.org/soap/encoding/' namespace='http://c-lab.de/wsdl/vkc/ws/axis/service/DocumentService#getDocumentCategoryMeta?KExqYXZhL2xhbmcvSW50ZWdlcjspTGphdmEvbGFuZy9TdHJpbmc7'/>
            </output>
            <fault name='AxisFault'>
                <soap:fault name='AxisFault' use='encoded' encodingStyle='http://schemas.xmlsoap.org/soap/encoding/'/>
            </fault>
        </operation>
        <operation name='getDocumentMeta'>
            <map:java-operation name='getDocumentMeta' signature='KExqYXZhL2xhbmcvSW50ZWdlcjspTGphdmEvbGFuZy9TdHJpbmc7'>
                <map:fault name='AxisFault' java-type='org.apache.axis.AxisFault'/>
            </map:java-operation>
            <soap:operation style='rpc'/>
            <input>
                <soap:body parts='p0' use='encoded' encodingStyle='http://schemas.xmlsoap.org/soap/encoding/' namespace='http://c-lab.de/wsdl/vkc/ws/axis/service/DocumentService#getDocumentMeta?KExqYXZhL2xhbmcvSW50ZWdlcjspTGphdmEvbGFuZy9TdHJpbmc7'/>
            </input>
            <output>
                <soap:body parts='response' use='encoded' encodingStyle='http://schemas.xmlsoap.org/soap/encoding/' namespace='http://c-lab.de/wsdl/vkc/ws/axis/service/DocumentService#getDocumentMeta?KExqYXZhL2xhbmcvSW50ZWdlcjspTGphdmEvbGFuZy9TdHJpbmc7'/>
            </output>
            <fault name='AxisFault'>
                <soap:fault name='AxisFault' use='encoded' encodingStyle='http://schemas.xmlsoap.org/soap/encoding/'/>
            </fault>
        </operation>
        <operation name='getDocumentVersionInfo'>
            <map:java-operation name='getDocumentVersionInfo' signature='KExqYXZhL2xhbmcvSW50ZWdlcjspTGphdmEvbGFuZy9TdHJpbmc7'>
                <map:fault name='AxisFault' java-type='org.apache.axis.AxisFault'/>
            </map:java-operation>
            <soap:operation style='rpc'/>
            <input>
                <soap:body parts='p0' use='encoded' encodingStyle='http://schemas.xmlsoap.org/soap/encoding/' namespace='http://c-lab.de/wsdl/vkc/ws/axis/service/DocumentService#getDocumentVersionInfo?KExqYXZhL2xhbmcvSW50ZWdlcjspTGphdmEvbGFuZy9TdHJpbmc7'/>
            </input>
            <output>
                <soap:body parts='response' use='encoded' encodingStyle='http://schemas.xmlsoap.org/soap/encoding/' namespace='http://c-lab.de/wsdl/vkc/ws/axis/service/DocumentService#getDocumentVersionInfo?KExqYXZhL2xhbmcvSW50ZWdlcjspTGphdmEvbGFuZy9TdHJpbmc7'/>
            </output>
            <fault name='AxisFault'>
                <soap:fault name='AxisFault' use='encoded' encodingStyle='http://schemas.xmlsoap.org/soap/encoding/'/>
            </fault>
        </operation>
    </binding>
    <binding name='DocumentService_SOAP12' type='tns:DocumentService'>
        <soap12:binding transport='http://schemas.xmlsoap.org/soap/http' style='rpc'/>
        <operation name='getDocumentCategoryMeta'>
            <map:java-operation name='getDocumentCategoryMeta' signature='KExqYXZhL2xhbmcvSW50ZWdlcjspTGphdmEvbGFuZy9TdHJpbmc7'>
                <map:fault name='AxisFault' java-type='org.apache.axis.AxisFault'/>
            </map:java-operation>
            <soap12:operation style='rpc'/>
            <input>
                <soap12:body parts='p0' use='encoded' encodingStyle='http://www.w3.org/2003/05/soap-encoding' namespace='http://c-lab.de/wsdl/vkc/ws/axis/service/DocumentService#getDocumentCategoryMeta?KExqYXZhL2xhbmcvSW50ZWdlcjspTGphdmEvbGFuZy9TdHJpbmc7'/>
            </input>
            <output>
                <soap12:body parts='response' use='encoded' encodingStyle='http://www.w3.org/2003/05/soap-encoding' namespace='http://c-lab.de/wsdl/vkc/ws/axis/service/DocumentService#getDocumentCategoryMeta?KExqYXZhL2xhbmcvSW50ZWdlcjspTGphdmEvbGFuZy9TdHJpbmc7'/>
            </output>
            <fault name='AxisFault'>
                <soap12:fault name='AxisFault' use='encoded' encodingStyle='http://www.w3.org/2003/05/soap-encoding'/>
            </fault>
        </operation>
        <operation name='getDocumentMeta'>
            <map:java-operation name='getDocumentMeta' signature='KExqYXZhL2xhbmcvSW50ZWdlcjspTGphdmEvbGFuZy9TdHJpbmc7'>
                <map:fault name='AxisFault' java-type='org.apache.axis.AxisFault'/>
            </map:java-operation>
            <soap12:operation style='rpc'/>
            <input>
                <soap12:body parts='p0' use='encoded' encodingStyle='http://www.w3.org/2003/05/soap-encoding' namespace='http://c-lab.de/wsdl/vkc/ws/axis/service/DocumentService#getDocumentMeta?KExqYXZhL2xhbmcvSW50ZWdlcjspTGphdmEvbGFuZy9TdHJpbmc7'/>
            </input>
            <output>
                <soap12:body parts='response' use='encoded' encodingStyle='http://www.w3.org/2003/05/soap-encoding' namespace='http://c-lab.de/wsdl/vkc/ws/axis/service/DocumentService#getDocumentMeta?KExqYXZhL2xhbmcvSW50ZWdlcjspTGphdmEvbGFuZy9TdHJpbmc7'/>
            </output>
            <fault name='AxisFault'>
                <soap12:fault name='AxisFault' use='encoded' encodingStyle='http://www.w3.org/2003/05/soap-encoding'/>
            </fault>
        </operation>
        <operation name='getDocumentVersionInfo'>
            <map:java-operation name='getDocumentVersionInfo' signature='KExqYXZhL2xhbmcvSW50ZWdlcjspTGphdmEvbGFuZy9TdHJpbmc7'>
                <map:fault name='AxisFault' java-type='org.apache.axis.AxisFault'/>
            </map:java-operation>
            <soap12:operation style='rpc'/>
            <input>
                <soap12:body parts='p0' use='encoded' encodingStyle='http://www.w3.org/2003/05/soap-encoding' namespace='http://c-lab.de/wsdl/vkc/ws/axis/service/DocumentService#getDocumentVersionInfo?KExqYXZhL2xhbmcvSW50ZWdlcjspTGphdmEvbGFuZy9TdHJpbmc7'/>
            </input>
            <output>
                <soap12:body parts='response' use='encoded' encodingStyle='http://www.w3.org/2003/05/soap-encoding' namespace='http://c-lab.de/wsdl/vkc/ws/axis/service/DocumentService#getDocumentVersionInfo?KExqYXZhL2xhbmcvSW50ZWdlcjspTGphdmEvbGFuZy9TdHJpbmc7'/>
            </output>
            <fault name='AxisFault'>
                <soap12:fault name='AxisFault' use='encoded' encodingStyle='http://www.w3.org/2003/05/soap-encoding'/>
            </fault>
        </operation>
    </binding>
    <service name='DocumentService'>
        <port name='DocumentService' binding='tns:DocumentService'>
            <soap:address location='http://wawa.c-lab.de:6060/DocumentService/'/>
        </port>
        <port name='DocumentService_SOAP12' binding='tns:DocumentService_SOAP12'>
            <soap12:address location='http://wawa.c-lab.de:6060/DocumentService/'/>
        </port>
    </service>
</definitions>